Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.common.fxcrt.Point Class Reference

Type definition for point class for integer. More...

Inherits SystemIDisposable.

## Public Member Functions
| Point ()
| Constructor.
| Point (int new_x, int new_y)
| Constructor, with parameters. More...
| Point (Point other)
| Copy constructor. More...
void | Add (int x, int y)
| Add a point. More...
void | Reset ()
| Reset to the base point. More...
void | Set (int x, int y)
| Set values. More...
void | Set (Point psv)
| Set values. More...
void | Subtract (int x, int y)
| Subtract a point. More...

## Properties
int | x`[get, set]`
| x coordinate of the point.
int | y`[get, set]`
| y coordinate of the point.

## Detailed Description

Type definition for point class for integer.

## Constructor & Destructor Documentation

## ◆ Point() [1/2]

foxit.common.fxcrt.Point.Point | ( | int | new_x,
|  | int | new_y
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | new_x | x coordinate of the point.
  [in] | new_y | y coordinate of the point.

## ◆ Point() [2/2]

foxit.common.fxcrt.Point.Point | ( | Point | other | ) |
| inline

Copy constructor.

Parameters

  [in] | other | Another object.

## Member Function Documentation

## ◆ Add()

void foxit.common.fxcrt.Point.Add | ( | int | x,
|  | int | y
| ) |  |
| inline

Add a point.

Parameters

  [in] | x | x coordinate of the subtrahend point.
  [in] | y | x coordinate of the subtrahend point.

Returns
  None.

## ◆ Reset()

void foxit.common.fxcrt.Point.Reset | ( |  | ) |
| inline

Reset to the base point.

Returns
  None.

## ◆ Set() [1/2]

void foxit.common.fxcrt.Point.Set | ( | int | x,
|  | int | y
| ) |  |
| inline

Set values.

Parameters

  [in] | x | x coordinate of the point.
  [in] | y | x coordinate of the point.

Returns
  None.

## ◆ Set() [2/2]

void foxit.common.fxcrt.Point.Set | ( | Point | psv | ) |
| inline

Set values.

Parameters

  [in] | psv | Another value object.

Returns
  None.

## ◆ Subtract()

void foxit.common.fxcrt.Point.Subtract | ( | int | x,
|  | int | y
| ) |  |
| inline

Subtract a point.

Parameters

  [in] | x | x coordinate of the addend point.
  [in] | y | x coordinate of the addend point.

Returns
  None.